/*
* Cylinder.h 
* An Interface to create a Cylinder 3d object
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/


#ifndef CYLINDER_H
#define CYLINDER_H

#include "Shape.h"
#include "qtglut.h"

class Cylinder : public Shape
{
public:
	Cylinder();
	~Cylinder();

	void draw();
	void drawWithTheseProperties(GLdouble baseRadius, GLdouble topRadius, GLdouble height, GLint slices, GLint stacks);

protected:
	void createShape();
	void createShapeWithTheseProperties(GLdouble baseRadius, GLdouble topRadius, GLdouble height, GLint slices, GLint stacks);

private:

};

#endif // CYLINDER_H

