#ifndef SCORE_UI_H
#define SCORE_UI_H

#include <QWidget>
#include <QMouseEvent>
class ScoreUI : public QWidget
{
	Q_OBJECT

public:
	ScoreUI(QWidget* parent = 0);
	~ScoreUI();

	void setFileName(const QString& fileName);
	void setTopScore(const QString& topScore);

protected:
	void paintEvent(QPaintEvent* pe);
	void drawScoreUINumberText(QPainter* p);

	QSize sizeHint() const;
	void mousePressEvent(QMouseEvent* me);

private:
	int m_currScore;
	QString m_topScore;
	QString m_fileName;
};

#endif // ScoreUI_H

