/*
* Sphere.h 
* An Interface to create a sphere 3d object
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef SPHERE_H
#define SPHERE_H

#include "Shape.h"
#include "qtglut.h"

struct SphereData;
class Sphere : public Shape
{
public:
	Sphere();
	~Sphere();

	void draw();
	void drawWithTheseProperties(GLdouble radius, GLint slices, GLint stacks, bool wire);
	GLfloat* currentPosition();

protected:
	void createShape();
	void createShapeWithTheseProperties(GLdouble radius, GLint slices, GLint stacks, bool wire);

private:
	SphereData* d;
};

#endif // SPHERE_H



