/*
* Cube.h 
* An Interface to create a cube 3d object
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef CUBE_H
#define CUBE_H

#include "Shape.h"
#include "qtglut.h"

class Cube : public Shape
{
public:
	Cube();
	~Cube();

	void draw();
	void drawWithTheseProperties(GLdouble size);

protected:
	void createShape();
	void createShapeWithTheseProperties(GLdouble size);

private:

};

#endif // CUBE_H

