/*
* SphereCollider.h 
* An Interface to create an invislbe bounding sphere 3d object
* Todo: Add properties
*
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef SPHERICAL_COLLIDER_H
#define SPHERICAL_COLLIDER_H

#include "Sphere.h"

#include <QtOpenGL>

struct SphericalColliderData;
class SphericalCollider : public Sphere
{
public:
	SphericalCollider();
	~SphericalCollider();

	GLfloat* currentPosition();

private:
	SphericalColliderData* d;
};

#endif // SPHERICAL_COLLIDER_H

